#!/bin/bash
# Demo: if statements

# if statements test if conditions are true

# Read the manual for "test" to see syntax of conditions

echo "Testing strings ..."
a="Hello"
if [ ${a} = "Hello" ];
then
	echo "a is Hello"
else
	echo "a is not Hello"
fi

echo -e "\nTesting existence of files ..."
filename="/home/network/.bash_history"
if [ -f ${filename} ];
then
	echo "${filename} exists and is regular file."
else
	echo "${filename} doesn't exist (or is not a regular file)."
fi

filename="/etc"
if [ ! -d ${filename} ];
then
	echo "${filename} is not a directory"
else
	echo "${filename} is a directory"
fi



echo -e "\nTesting integers ..."
for b in {1..7};
do
	if [ ${b} -le 2 ];
	then
		echo "${b} is less than or equal to 2"
	else
		if [ ${b} -gt 5 ];
		then
			echo "${b} is greater than 5"
		elif [ ${b} -eq 3 ];
		then
			echo "${b} is equal to 3"
		else
			echo "${b} is 4 or 5"
		fi
	fi
done
