#!/bin/bash
# Demo - read file

# Lets first create a text file

# We will use mktemp to make a temporary file
examplefile=`mktemp`
echo "The temporary file is: ${examplefile}"

# Now lets put some example text in our file

# First line
echo "This is the first line" >> ${examplefile}

# Second line
echo "And the second line" >> ${examplefile}

# This is a bit slow. Can we write multiple lines at once? Yes ...
cat >> ${examplefile} <<End-of-text
Third line
The 4th line
The 5th line
And some more lines
And more
That is enough
End-of-text

# In the above "cat" everything between "End-of-text" is "cat" into our file

# Lets check our file by showing it
echo "==============="
cat ${examplefile}
echo "==============="

# Now lets read the file in, line by line
i=1
while read line
do
	echo "Line ${i}: ${line}"
	i=$(( $i + 1 ))
done < ${examplefile}


# Now cleanup ...
# If we make a temporary file it is usually a good idea to delete it at the end
if [ -f ${examplefile} ];
then
	rm -f ${examplefile}
fi
