#!/bin/bash
# Demo of variables

echo "Hello World"

# Variables are assigned values using the equal (=) sign
a="Hello"

# Values are accessed using the dollar ($) sign followed by the variable name
# It is good practice to include the variable name inside braces ({}) to avoid
# confusion with non-variables.
echo "${a}"

b="World"
echo "${a} ${b}!"

# Variables can be used almost anywhere 
directory="/etc"
ls ${directory}

# Variables can be set to the result of executing a command by enclosing
# that command in back ticks/quotes (``)
c=`echo "${a} ${b}!"`

echo "The answer is: ${c}"

# A different way ...
d=$(ls /var | tail -3)
echo "${d}"


# Normally we are not concerned with data types, although there
# is a difference between integers and strings. 
x=1
y=2

# Simple mathematical expressions are possible
echo $(( $x + $y * $y ))

