"""
Demonstration of TCP server. See also socket_tcp_client.py.
"""

import socket

# Addresses and data
serverport = 5005
message = "Thank you."

# Create a TCP stream socket with address family of IPv4 (INET)         
s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

# Bind the socket to any IP address and the designated port
s.bind(('', serverport))

# Listen for connect requests (up to 5 at a time)
s.listen(5)

# Server continues forever accept client connections
while 1:

	# Wait to accept a connection from a client
	# This creates a new socket
	clientsocket, clientaddress = s.accept()

	# Wait for a request from the connected client (max of 1024 bytes)
	request = clientsocket.recv(1024)	
	print request + " from " + clientaddress[0] + ':' + str(clientaddress[1])

	# Send the entire message
	clientsocket.sendall(message)

	# Close the connection to client
	clientsocket.close()
