"""
Demonstration of UDP client. See also socket_udp_server.py.
"""

import socket
import time

# Addresses and data
serverip = "127.0.0.1"
serverport = 5006
message = "Hello, World!"

print "UDP target IP:", serverip
print "UDP target port:", serverport
print "message:", message

# Create a UDP datagram socket with address family of IPv4 (INET)
sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)

# Send data forever (or until Ctrl-C)
while True:

	# Send message to server
	sock.sendto(message, (serverip, serverport))

	# Wait for reply from server (max 1024 bytes)
       	data, addr = sock.recvfrom(1024)
	print "received message:", data

	# Wait for some time before sending the message again
	time.sleep(0.5)
